## encrypt-2025.05-desktop-src.tar.xz

=== ports/Makefile ===
# $FreeBSD$

PORTNAME=     encrypt
DISTVERSION=  2025.05
CATEGORIES=   security
MASTER_SITES= https://albinoloverats.net/downloads/${PORTNAME}/${DISTVERSION}/
DISTNAME=     ${PORTNAME}-${DISTVERSION}

MAINTAINER=   amanderson@albinoloverats.net
COMMENT=      Provid simple, cross platform, file encryption

LICENSE=      GPLv3+

LIB_DEPENDS=  libgcrypt.so:security/libgcrypt libgpg-error.so:security/libgpg-error libgtk-3.so:x11-toolkits/gtk30 libcurl.so:ftp/curl liblzma.so:archivers/lzma

MAKEFILE=     Makefile.bsd

USES=         desktop-file-utils gettext tar:xz

USE_GNOME=    pango atk cairo gdkpixbuf2 glib20

.include <bsd.port.mk>

=== debian/changelog ===
encrypt (2025.05-1) unstable; urgency=low

  * Release of version 2025.05 - see README for details

 -- Ashley Anderson <amanderson@albinoloverats.net> Mon, 18 Nov 2012 20:01:19 +0000

=== PKGBUILD ===
# Maintainer: Ashley Anderson <amanderson@albinoloverats.net>
# Contributor: Ashley Anderson <amanderson@albinoloverats.net>
pkgname=encrypt
pkgver=2025.05
pkgrel=1
pkgdesc="A simple, cross platform, file encryption application---suitable for any modern desktop or mobile operating system. The GUI, either GTK or native, has been desigen to be common across systems and intuitive to use, whilst still providing command-line capabilities for power-users."
url="https://albinoloverats.net/projects/encrypt"
arch=('i686' 'x86_64' 'arm')
license=('GPL3')
depends=('libgcrypt' 'gtk3' 'curl' 'xz')
makedepends=('pkgconfig')
install=encrypt.install

# you shouldn't need to uncomment this as this PKGBUILD file lives in
# the same Git repoository as the source
# source=(https://albinoloverats.net/downloads/encrypt.tar.xz)
# sha256sum=('')

build() {
  cd ${startdir}
  make -f Makefile all
}

package() {
  cd ${startdir}
  mkdir -p ${pkgdir}/usr/{bin,share/{encrypt,applications,man/man1,pixmaps,bash-completion/completions,zsh/functions/Completion/Unix}}
  make -f Makefile install DESTDIR=${pkgdir}
}

=== debian/control ===
Source: encrypt
Section: Accessories
Priority: extra
Maintainer: Ashley Anderson <amanderson@albinoloverats.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: encrypt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A simple, cross platform, file encryption application---
 suitable for any modern desktop or mobile operating system. The GUI,
 either GTK or native, has been desigen to be common across systems and
 intuitive to use, whilst still providing command-line capabilities for
 power-users.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all
	#docbook-to-man debian/encrypt.sgml > encrypt.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/encrypt.
	$(MAKE) DESTDIR=$(CURDIR)/debian/encrypt install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
